@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    box-sizing: border-box;
    border: none;
    outline: none;
    scroll-behavior: smooth; /*Pour que les déplacements soient lent*/
    font-family: mundial, inter;
}

html {
    font-size: 70%;
    overflow-x: hidden; /*Si le contenu dépasse, alors il sera masqué*/
}

body {
    background: black;
}

/* HEADER */

.header {
    position: fixed; /* Pour la rendre flottante */
    top: 0;
    left: 0;
    width: 100%;
    padding: 2rem 4%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: white;
    text-decoration: none;
    z-index: 2;
}

.header-right {
    width: 25rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo {
    width: 20px;
 }

 .navbar a {
    color: white;
}

.navbar a:hover,
.navbar a.active {
    text-decoration: underline;
}

#menu-icon {
    font-size: 3.6rem;
    color: var(--text-color);
    display: none;
    cursor: pointer;
}

video::-webkit-media-controls  {
  display: none; /* Cacher les contrôles du lecteur sur Safari */
}

/* SECTION */

section {
    position: relative;
    height: 100vh; /* Remplit toute la hauteur de la fenêtre */
    width: 100vw; /* Remplit toute la largeur de la fenêtre */
    z-index: 1;
}

.vid{ 
    position: absolute; /* Positionne la vidéo */
    min-width: 100%; /* La vidéo doit avoir au moins 100% de largeur  */
    min-height: 100%; /*La vidéo doit avoir au moins 100% de hauteur */
    object-fit: cover; 
}

/* TITRE VIDEO  */

.verlay-left {
    position: absolute; /* Positionne le titre et le lien par-dessus la vidéo */
    top: 50%; /* Centre verticalement */
    left: 30%; /* Centre horizontalement */
    transform: translate(-50%, -50%); /* Ajuste le positionnement pour centrer */
    transition: 1s;
}

.verlay-right {
    position: absolute; /* Positionne le titre et le lien par-dessus la vidéo */
    top: 50%; /* Centre verticalement */
    left: 70%; /* Centre horizontalement */
    transform: translate(-50%, -50%); /* Ajuste le positionnement pour centrer */
    transition: 1s;
}

.img-hover {
    display: none;
  }
  
.verlay-left:hover .img {
    display: none;
  }

.verlay-left:hover .img-hover {
    display: inline;
    transform: scale(1.05);
  }

.verlay-right:hover .img {
    display: none;
  }
  
.verlay-right:hover .img-hover {
    display: inline;
    transform: scale(1.05);
  }


.video-container2:hover .overlay {
    opacity: 1; /* Affiche l'overlay lors du survol */
  }


.verlay-middle {
    position: absolute;
    font-size: 40px;
    font-weight: 700;
    cursor: pointer;
    top: 108%; /* Maintient la position verticale proche du bas */
    left: 50%; /* Centre horizontalement */
    transform: translate(-50%, -50%); /* Ajuste le positionnement pour centrer */
    font-style: italic;
    color: rgba(255, 255, 255, 0.784); /* La couleur reste inchangée */
    transition: color 0.3s ease, transform 0.3s ease; /* Transition pour la couleur et la taille */
    transform-origin: center center; /* Définit le point d'origine au centre */
    white-space: nowrap; /* Toujours empêcher le retour à la ligne */
}

.verlay-middle:hover {
    color: white;
    transform: translate(-50%, -50%) scale(1.1); /* Agrandit légèrement le bouton */
}

.mobile-video-link {
    pointer-events: none; /* Désactive le clic par défaut */
}

/* RESPONSIVE */

@media (max-width: 10000px) {
    #menu-icon {
        display: block; 
    }

    .navbar {
        position: absolute;
        top: 100%;
        right: 1rem;
        width: 20%;
        padding: 1rem 3%;
        background: rgba(0, 0, 0, 0.568);
        display: none;
        border-radius: 10px;
    }

    .navbar.active {
        display: block;
    }

    .navbar a {
        display: block;
        font-style: normal;
        font-weight: 200;
        font-size: 2rem;
        margin: 3rem 0;
    }
}

@media (max-width: 1715px) {
    .verlay-middle {
        top: 90%;
        font-size: 40px;
        left: 50%;
        transform: translate(-50%, -50%)
    }
    
    .mobile-video-link {
        pointer-events: auto;
    }
}

@media (max-width: 1460px) {
    .verlay-middle {
        top: 90%;
        font-size: 40px;
        left: 50%;
        transform: translate(-50%, -50%)
    }
    
    .mobile-video-link {
        pointer-events: auto;
    }
}

@media (max-width: 1100px) {

    .logo img {
        width: 130px;
    }

    .header-right img {
        width: 120px;
    }

    .navbar {
        width: 30%;
    }

    .verlay-left img {
        width: 450px;
    }
    
    .verlay-right img {
        width: 450px;
    }

    .header-right {
        width: 20rem;
    }

    .verlay-middle {
        top: 90%;
        font-size: 30px;
        left: 50%;
        transform: translate(-50%, -50%)
        
    }
    
    .mobile-video-link {
        pointer-events: auto;
    }
}

@media only screen and (max-width: 780px) {

    .logo img {
        width: 110px;
    }

    .header-right img {
        width: 100px;
    }

    .navbar {
        width: 40%;
    }

    .header-right {
        width: 15rem;
    }   

    .verlay-left img {
        width: 250px;
        /* left: 50%; Centre horizontalement */
    }
    
    .verlay-right img {
        width: 250px;
        /* left: 50%; Centre horizontalement */
    }

    .verlay-middle {
        top: 90%;
        font-size: 30px;
        left: 50%;
        transform: translate(-50%, -50%)
    }
    
    .mobile-video-link {
        pointer-events: auto;
    }
    
}

   


